CREATE procedure [C6MartPeriodico].[AggiornaFlagRolContrattoSei]
AS
BEGIN
-- Allineamento Flag Rol su contratto sei
Update C6MartPeriodico.ContrattoSei
Set Rol = Case D.statorol
		  When 'S' then D.statorol
		  Else 'N'
		  End,
    EmAil = Case d.alertrol
		  When 'S' then D.Email
		  End		 	  
from  C6MartPeriodico.ContrattoSei C inner join  C6StagingPeriodico.datiRol2 D
on d.codContratto = c.codiceContratto
End